base/arch split into base/{arch,arch-desktop}

This commit is contained in:
Henrik Lissner 2017-12-13 18:28:21 -05:00
parent 09435cc29c
commit 94ba1ba69e
No known key found for this signature in database
GPG key ID: 5F6C0EA160557395
47 changed files with 92 additions and 65 deletions

View file

@ -53,9 +53,9 @@
!! Settings !! Settings
! font rendering ! font rendering
Xft.hinting: 0 !Xft.hinting: 0
Xft.antialias: 1 !Xft.antialias: 1
Xft.autohint: 1 !Xft.autohint: 1
Xft.hintstyle: hintslight Xft.hintstyle: hintslight
Xft.lcdfilter: lcddefault Xft.lcdfilter: lcddefault
Xft.rgba: rgb Xft.rgba: rgb
@ -78,8 +78,8 @@ URxvt*.cursorBlink: true
URxvt*.underlineColor: grey URxvt*.underlineColor: grey
URxvt*.depth: 32 URxvt*.depth: 32
URxvt*.borderless: 1 URxvt*.borderless: 1
URxvt*.lineSpace: 1 ! URxvt*.lineSpace: 1
URxvt*.letterSpace: 0 ! URxvt*.letterSpace: 0
URxvt.iso14755: false URxvt.iso14755: false
URxvt.iso14755_52: false URxvt.iso14755_52: false
URxvt*.internalBorder: 14 URxvt*.internalBorder: 14
@ -94,18 +94,18 @@ URxvt*.url-launcher: firefox
!URxvt.keysym.Shift-Control-V: perl:clipboard:paste !URxvt.keysym.Shift-Control-V: perl:clipboard:paste
URxvt.clipboard.autocopy: true URxvt.clipboard.autocopy: true
URxvt*.font: xft:kakwa kakwafont:pixelsize=12 ! URxvt*.font: xft:kakwa kakwafont:pixelsize=12
urxvt-scratch.font: xft:Misc Tamsyn:pixelsize=16 ! urxvt-scratch.font: xft:Misc Tamsyn:pixelsize=16
urxvt-fuzzy.font: xft:Misc Tamsyn:pixelsize=18 ! urxvt-fuzzy.font: xft:Misc Tamsyn:pixelsize=18
urxvt-fuzzy.boldFont: xft:Misc Tamsyn:pixelsize=18 ! urxvt-fuzzy.boldFont: xft:Misc Tamsyn:pixelsize=18
urxvt-fuzzy.lineSpace: 4 ! urxvt-fuzzy.lineSpace: 4
urxvt-stream.lineSpace: 0 urxvt-stream.lineSpace: 0
urxvt-stream.letterSpace: -1 urxvt-stream.letterSpace: -1
urxvt-stream.font: xft:Fira Mono:pixelsize=17 urxvt-stream.font: xft:Fira Mono:pixelsize=17
! URxvt*.lineSpace: 0 URxvt*.lineSpace: 0
! URxvt*.letterSpace: -1 URxvt*.letterSpace: -1
! URxvt*.font: xft:Fira Mono:pixelsize=14 URxvt*.font: xft:Fira Mono:pixelsize=11
! urxvt-scratch.font: xft:Fira Mono:pixelsize=18 urxvt-scratch.font: xft:Fira Mono:pixelsize=16
! urxvt-fuzzy.font: xft:Fira Mono:pixelsize=20 urxvt-fuzzy.font: xft:Fira Mono:pixelsize=20

60
base/arch-desktop/_init Executable file
View file

@ -0,0 +1,60 @@
#!/usr/bin/env zsh
source ${0:A:h}/../../deploy
install() {
if ! nc -z 8.8.8.8 53 >/dev/null 2>&1; then
>&2 echo "No internet connection"
return 1
elif ! sudo pacman -Syu --noconfirm; then
>&2 echo "Could not update pacman"
return 2
elif ! _is_callable pacaur; then
>&2 echo "Could not find pacaur"
return 3
fi
pacaur --needed --noconfirm --noedit -S \
xorg-server xorg-xinit xorg-xlsfonts xorg-xfd xdotool \
lightdm lightdm-mini-greeter \
bspwm sxhkd compton dunst xcb-proto polybar libnotify \
rvxt-unicode rvxt-unicode-terminfo \
slop feh maim ffmpeg zbar \
keybase-bin pass pass-otp \
neofetch glances inxi dfc youtube-dl \
ttf-fira-{mono,sans} ttf-font-awesome tamsym-font siji-git \
adwaita-icon-theme adwaita-slim-gtk-theme
# install crontab
crontab ./crontab
# raise inotify limit
sudo tee -a /etc/sysctl.d/99-sysctl.conf <<<"fs.inotify.max_user_watches=524288"
# set up lightdm + minigreeter
sudo systemctl enable lightdm
sudo sed -i \
-e "s@^#?\(greeter-session=\).+@\1lightdm-mini-greeter@" \
-e "s@^#?\(user-session=\).+@\1bspwm@" \
/etc/lightdm/lightdm.conf
sudo sed -i \
-e "s@^\(user = \).+@\1${USER}@" \
-e "s@^\(show-password-label = \).+@\1false@" \
-e "s@^\(background-color = \).+@\1\"#000000\"@;" \
/etc/lightdm/lightdm-mini-greeter.conf
}
# update() {}
link() {
mklink xprofile ~/.xprofile
mklink config/* $XDG_CONFIG_HOME/
mklink fonts/* $XDG_DATA_HOME/fonts/
mklink -s etc/pacman/*.hook /etc/pacman.d/hooks/
}
clean() {
rm -fv $XDG_DATA_HOME/fonts/*(@N)
sudo rm -fv /etc/pacman.d/hooks/*(@N)
}
init "$@"

View file

@ -2,8 +2,8 @@
LocationMode=path-bar LocationMode=path-bar
ShowHidden=false ShowHidden=false
ShowSizeColumn=true ShowSizeColumn=true
GeometryX=1200 GeometryX=1975
GeometryY=0 GeometryY=450
GeometryWidth=1010 GeometryWidth=1010
GeometryHeight=664 GeometryHeight=664
SortColumn=name SortColumn=name

View file

@ -0,0 +1,2 @@
# include "/usr/share/themes/Adwaita-Slim-Dark/gtk-2.0/gtkrc"
include "/usr/share/themes/Arc-Dark/gtk-2.0/gtkrc"

View file

@ -0,0 +1,6 @@
[Settings]
gtk-application-prefer-dark-theme = true
gtk-theme-name = Arc-Dark
gtk-icon-theme-name = Arc-Dark
; gtk-theme-name = Adwaita-Slim-Dark
; gtk-icon-theme-name = Adwaita-Slim-Dark

View file

@ -0,0 +1,4 @@
export BROWSER=firefox
export GNUPGHOME="$XDG_CONFIG_HOME/gpg"
export GTK2_RC_FILES="${0:A:h}/config/gtk-2.0/gtkrc"
export URXVT_PERL_LIB="$XDG_CONFIG_HOME/urxvt"

View file

@ -32,36 +32,8 @@ install() {
fi fi
fi fi
pacaur --needed --noconfirm --noedit -S \ pacaur --needed --noconfirm --noedit -S ripgrep the_silver_searcher bc cronie
wget curl ripgrep the_silver_searcher bc cronie youtube-dl \
xorg-server xorg-xinit xorg-xlsfonts xorg-xfd xdotool \
lightdm lightdm-mini-greeter \
bspwm sxhkd compton dunst xcb-proto polybar libnotify \
rvxt-unicode rvxt-unicode-terminfo \
slop feh maim ffmpeg zbar \
keybase-bin pass pass-otp \
neofetch glances inxi dfc \
ttf-fira-{mono,sans} ttf-font-awesome tamsym-font siji-git \
adwaita-icon-theme adwaita-slim-gtk-theme
# install crontab
sudo systemctl enable cronie sudo systemctl enable cronie
crontab ./crontab
# raise inotify limit
sudo tee -a /etc/sysctl.d/99-sysctl.conf <<<"fs.inotify.max_user_watches=524288"
# set up lightdm + minigreeter
sudo systemctl enable lightdm
sudo sed -i \
-e "s@^#?\(greeter-session=\).+@\1lightdm-mini-greeter@" \
-e "s@^#?\(user-session=\).+@\1bspwm@" \
/etc/lightdm/lightdm.conf
sudo sed -i \
-e "s@^\(user = \).+@\1${USER}@" \
-e "s@^\(show-password-label = \).+@\1false@" \
-e "s@^\(background-color = \).+@\1\"#000000\"@;" \
/etc/lightdm/lightdm-mini-greeter.conf
} }
update() { update() {
@ -69,16 +41,8 @@ update() {
${pac:-sudo pacman} -Syu --noconfirm ${pac:-sudo pacman} -Syu --noconfirm
} }
link() { # link() {}
mklink xprofile ~/.xprofile
mklink config/* $XDG_CONFIG_HOME/
mklink fonts/* $XDG_DATA_HOME/fonts/
mklink -s pacman/*.hook /etc/pacman.d/hooks/
}
clean() { # clean() {}
rm -fv $XDG_DATA_HOME/fonts/*(@N)
sudo rm -fv /etc/pacman.d/hooks/*(@N)
}
init "$@" init "$@"

View file

@ -1,2 +0,0 @@
include "/usr/share/themes/Adwaita-Slim-Dark/gtk-2.0/gtkrc"
# include "/usr/share/themes/Arc-Dark/gtk-2.0/gtkrc"

View file

@ -1,4 +0,0 @@
[Settings]
gtk-theme-name = Adwaita-Slim-Dark
gtk-icon-theme-name = Adwaita-Slim-Dark
gtk-application-prefer-dark-theme = true

View file

@ -1,8 +1,5 @@
export GNUPGHOME="$XDG_CONFIG_HOME/gpg" export GNUPGHOME="$XDG_CONFIG_HOME/gpg"
export GTK2_RC_FILES="${0:A:h}/config/gtk-2.0/gtkrc"
export TERMINFO="$XDG_CONFIG_HOME/terminfo" export TERMINFO="$XDG_CONFIG_HOME/terminfo"
export BROWSER=firefox
export URXVT_PERL_LIB="$XDG_CONFIG_HOME/urxvt"
_is_running ssh-agent || { _is_running ssh-agent || {
ssh-agent -s >"$XDG_RUNTIME_DIR/ssh-agent-env" ssh-agent -s >"$XDG_RUNTIME_DIR/ssh-agent-env"